# Parma_Polyhedra_Library::Congruence_System::const_iterator Class Reference
[C++ Language Interface]

An iterator over a system of congruences. More...

`#include <ppl.hh>`

List of all members.

## Public Member Functions

| const_iterator ()
| Default constructor.
| const_iterator (const const_iterator &y)
| Ordinary copy constructor.
| ~const_iterator ()
| Destructor.
const_iterator & | operator= (const const_iterator &y)
| Assignment operator.
const Congruence & | operator* () const
| Dereference operator.
const Congruence * | operator-> () const
| Indirect member selector.
const_iterator & | operator++ ()
| Prefix increment operator.
const_iterator | operator++ (int)
| Postfix increment operator.
bool | operator== (const const_iterator &y) const
| Returns `true` if and only if `*this` and `y` are identical.
bool | operator!= (const const_iterator &y) const
| Returns `true` if and only if `*this` and `y` are different.

## Detailed Description

An iterator over a system of congruences.

A const_iterator is used to provide read-only access to each congruence contained in an object of Congruence_System.

Example
  The following code prints the system of congruences defining the grid `gr`:

        const Congruence_System& cgs = gr.congruences();
        for (Congruence_System::const_iterator i = cgs.begin(),
               cgs_end = cgs.end(); i != cgs_end; ++i)
          cout << *i << endl;

The documentation for this class was generated from the following file:

- ppl.hh